mscorlib 2.0.0.0 4.0.0.0 System.Text.EncoderFallbackBuffer

It might not be possible to convert a character to an equivalent encoded byte sequence if no suitable encoding exists. A common reason for an encoding to fail is if the conversion operation uses a code page that cannot represent the character to encode.

If the input character cannot be converted to an output byte sequence, a object provides a replacement string that is substituted for the original input character. The replacement string initializes the value of the object, and the value of the object initializes the value of an object. The value of an object is called the replacement fallback buffer. The conversion operation encodes the replacement fallback buffer instead of the original input character, then continues to process the remainder of the input.

Represents a substitute input string that is used when the original input character cannot be encoded. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class using the value of a object.

  A object.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  The and methods call if they encounter an unknown character in their input. If the return value of is true, the calling method can invoke the method to obtain each character in the replacement fallback buffer.

  Prepares the replacement fallback buffer to use the current replacement string.

  true if the replacement string is not empty; false if the replacement string is empty.

  An input character. This parameter is ignored in this operation unless an exception is thrown. The index position of the character in the input buffer. This parameter is ignored in this operation.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` ``

  The and methods call if they encounter an unknown character in their input. If the return value of is true, the calling method can invoke the method to obtain each character in the replacement fallback buffer.

  Indicates whether a replacement string can be used when an input surrogate pair cannot be encoded, or whether the surrogate pair can be ignored. Parameters specify the surrogate pair and the index position of the pair in the input.

  true if the replacement string is not empty; false if the replacement string is empty.

  The high surrogate of the input pair. The low surrogate of the input pair. The index position of the surrogate pair in the input buffer.
- Method
  2.0.0.0
  4.0.0.0
  System.Char

  The and methods call if they encounter an unknown surrogate pair or character in their input. If the return value of is true, the calling method can invoke to obtain each character in the replacement fallback buffer.

  Retrieves the next character in the replacement fallback buffer.

  The next Unicode character in the replacement fallback buffer that the application can encode.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  Causes the next call to the method to access the character position in the replacement fallback buffer prior to the current character position.

  true if the operation was successful; otherwise, false.

- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  The method returns true if the property is nonzero.

  Gets the number of characters in the replacement fallback buffer that remain to be processed.

- Method
  2.0.0.0
  4.0.0.0
  System.Void

  The method discards any persisted state information and data that govern emitting a replacement string. Unpredictable results occur if the encoding operation continues after the method is invoked.

  Initializes all internal state information and data in this instance of .